## org.firebirdsql.gds
Interface IscDbHandle

All Known Implementing Classes:
  AbstractIscDbHandle, isc_db_handle_impl, isc_db_handle_impl

    public interface IscDbHandle

The interface `isc_db_handle` represents a socket connection to the database server.

Version:
  1.0
Author:
  Alejandro Alberola, David Jencks

Method Summary
`void` `clearWarnings()` Clear warning list associated with this connection.
`List` `getWarnings()` Get list of warnings that were returned by the server.

Method Detail

### getWarnings

    List getWarnings()

  Get list of warnings that were returned by the server.

  Returns:
    instance of `List` containing instances of `GDSException` representing server warnings (method `GDSException.isWarning()` returns `true`).

### clearWarnings

    void clearWarnings()

  Clear warning list associated with this connection.

Copyright © 2001-2010. All Rights Reserved.